## UR Robotiq

*This project provides tools and integration to manage a Universal Robotics UR3e robot arm with the Robotiq 2F 140 gripper.* 

## How to Download (with Submodules)

To download this repository and all of its included submodules, follow these steps:

1. **Prerequisites**
   * Make sure you have Git installed on your system ([https://git-scm.com/downloads](https://git-scm.com/downloads)).

2. **Gitea SSH Connection**
   * This is only usable in the University Network (the VPN hasn't worked so far either)
   * Follow this tutorial: https://www.techaddressed.com/tutorials/add-verify-ssh-keys-gitea/

3. **Cloning the Repository**
   * Open your terminal or command prompt.
   * Navigate to the directory where you want to download the project.
   * Run the following Git command:

     ```bash
     git clone --recurse-submodules git@git.cps.unileoben.ac.at:Niko/UR_Robotiq.git 
     ```
## How to Start the Docker Compose

1. **Prerequisites**
   * Ensure you have Docker and Docker Compose installed on your system (Instructions can be found on the official Docker website: [https://www.docker.com/](https://www.docker.com/))

2. **Starting the Containers**
   * Navigate to the project directory in your terminal:
      ```bash
      cd UR-Robotiq
      ```
   * Run the following command to start the Docker Compose:
      ```bash 
      docker-compose up -d 
      ```